package org.wanto.mp3k;

/**
 * Insert the type's description here.
 * Creation date: (24/09/2002 12:55:11 PM)
 * @author: Paul Stanton
 */
public class Mp3FileBytes
{
	protected byte[] preFrameData;
	protected byte[] frameData;
	protected byte[] postFrameData;

	public Mp3FileBytes()
	{
	}
	public Mp3FileBytes(byte[] pre, byte[] data, byte[] post)
	{
		preFrameData = pre;
		frameData = data;
		postFrameData = post;
	}
	public byte[] getFrameData()
	{
		return frameData;
	}
	public byte[] getPostFrameData()
	{
		return postFrameData;
	}
	public byte[] getPreFrameData()
	{
		return preFrameData;
	}
	public void setFrameData(byte[] newFrameData)
	{
		frameData = newFrameData;
	}
	public void setPostFrameData(byte[] newPostFrameData)
	{
		postFrameData = newPostFrameData;
	}
	public void setPreFrameData(byte[] newPreFrameData)
	{
		preFrameData = newPreFrameData;
	}
}
